Page MenuHomePhabricator

Add patrol links/AJAX buttons on Special:Contributions/user
Open, LowPublic

Description

Author: Wiki.Melancholie

Description:
There should be the possibility to patrol edits also from Special:Contributions/$user!
Right now, even those red !s are not shown for user contributions.


URL: http://de.wikipedia.org/wiki/Spezial:Beiträge/Melancholie

Details

Reference
bz14352

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:11 PM
bzimport set Reference to bz14352.
bzimport added a subscriber: Unknown Object (MLST).
brion added a comment.Jun 2 2008, 3:58 PM
  • Bug 13181 has been marked as a duplicate of this bug. ***

This extensions appears to be quite ill maintained. It was developed by Rob Church and hasn't had any noteworthy maintenance in about a year and a half. Looking for someone who'll devote a day to fixing some issues with it...

Changed component from 'MediaWiki Extensions > Patroller' to 'MediaWiki > Special pages' as this is unrelated to the extension.

See also the comments on bug 17237 which suggests adding rev_bot and
rev_patrolled (based on rc_bot and rc_patrolled) which would enable fixing this
bug without a JOIN to recentchanges.

matthew.britton wrote:

(In reply to comment #3)

Changed component from 'MediaWiki Extensions > Patroller' to 'MediaWiki >
Special pages' as this is unrelated to the extension.

There probably ought to be a separate category for patrolling.

(In reply to comment #5)

(In reply to comment #3)

Changed component from 'MediaWiki Extensions > Patroller' to 'MediaWiki >
Special pages' as this is unrelated to the extension.

There probably ought to be a separate category for patrolling.

I agree, but this bug also is about Special:Contributions. But yeah, a seperate category would make things easier to locate.

ran.arigur wrote:

For what it's worth, the English Wiktionary uses custom JavaScript to allow patrolling from Special:Contributions; see
http://en.wiktionary.org/wiki/MediaWiki:Gadget-PatrollingEnhancements.js
(search for "Special:Contributions"). It's not perfect, but it's quite effective, if I do say so myself. It works by querying the MediaWiki API, whose list=recentchanges query-module lets you specify a specific user of interest.

Is this still an issue? (No red !'s on Special:Contributions, but you should be able to follow a link from contribs to a page and press patrol I believe, which I think is what is being asked for in comment 0)

He7d3r added a comment.EditedAug 3 2014, 3:20 AM

I have the impression that comment 0 asks for patrol links on Special:Contributions.

As for the missing "!" marks, I'm using this small (and incomplete) script as a workaround:
https://github.com/he7d3r/mw-gadget-MarkUnpatrolledContribs

Ok. Splitting that to bug 69061 and marking this fixed.

ran.arigur wrote:

No red !'s on Special:Contributions, but you should be able to follow a link from contribs to a page and press patrol I believe, [...]

But without the red !'s, you can't see which contributions (if any) need patrolling, so you won't know *which* links to follow.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJan 27 2016, 7:40 PM
MGChecker reopened this task as Open.Jan 27 2016, 7:41 PM

Looks like this isn't resolved.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 27 2016, 7:41 PM
Nemo_bis renamed this task from No possibility to patrol from Special:Contributions/user to Add patrol links/AJAX buttons on Special:Contributions/user.Feb 14 2016, 9:31 AM